Index: /branches/version-2_12-dev/data/class/pages/rss/LC_Page_Rss.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/rss/LC_Page_Rss.php	(revision 22581)
+++ /branches/version-2_12-dev/data/class/pages/rss/LC_Page_Rss.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_RSS extends LC_Page_Ex 
-{
+class LC_Page_RSS extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'rss/index.tpl';
@@ -56,11 +54,11 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
 
+        $objQuery = SC_Query_Ex::getSingletonInstance();
         $objView = new SC_SiteView_Ex(false);
 
         //新着情報を取得
-        $arrNews = $this->lfGetNews();
+        $arrNews = $this->lfGetNews($objQuery);
 
         //キャッシュしない(念のため)
@@ -92,6 +90,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -100,13 +97,22 @@
      * 新着情報を取得する
      *
+     * @param SC_Query $objQuery DB操作クラス
      * @return array $arrNews 取得結果を配列で返す
      */
-    function lfGetNews()
-    {
-        $objNews = new SC_Helper_News_Ex();
-        $arrNews = $objNews->getList();
-
-        $objDb = new SC_Helper_DB_Ex();
-        $arrInfo = $objDb->sfGetBasisData(FALSE, 'shop_name, email04');
+    function lfGetNews(&$objQuery) {
+        $col = '';
+        $col .= 'news_id ';        // 新着情報ID
+        $col .= ',news_title ';    // 新着情報タイトル
+        $col .= ',news_comment ';  // 新着情報本文
+        $col .= ',news_date ';     // 日付
+        $col .= ',news_url ';      // 新着情報URL
+        $col .= ',news_select ';   // 新着情報の区分(1:URL、2:本文)
+        $col .= ',(SELECT shop_name FROM dtb_baseinfo limit 1) AS shop_name  ';    // 店名
+        $col .= ',(SELECT email04 FROM dtb_baseinfo limit 1) AS email ';           // 代表Emailアドレス
+        $from = 'dtb_news';
+        $where = "del_flg = '0'";
+        $order = 'rank DESC';
+        $objQuery->setOrder($order);
+        $arrNews = $objQuery->select($col,$from,$where);
 
         // RSS用に変換
@@ -115,6 +121,4 @@
 
             $row =& $arrNews[$key];
-            $row['shop_name'] = $arrInfo['shop_name'];
-            $row['email'] = $arrInfo['email04'];
             // 日付
             $row['news_date'] = date('r', strtotime($row['news_date']));
Index: /branches/version-2_12-dev/data/class/pages/rss/LC_Page_Rss_Products.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/rss/LC_Page_Rss_Products.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/rss/LC_Page_Rss_Products.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Rss_Products extends LC_Page_Ex 
-{
+class LC_Page_Rss_Products extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'rss/products.tpl';
@@ -56,6 +54,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
     }
@@ -66,6 +63,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objView = new SC_SiteView_Ex();
@@ -128,6 +124,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -140,6 +135,5 @@
      * @return array $arrProduct 商品情報の配列を返す
      */
-    function lfGetProductsDetailData($mode, $product_id)
-    {
+    function lfGetProductsDetailData($mode, $product_id) {
         $objQuery = SC_Query_Ex::getSingletonInstance();
         //商品詳細を取得
@@ -192,6 +186,5 @@
      * @return array $arrProduct 商品情報の配列を返す
      */
-    function lfGetProductsListData()
-    {
+    function lfGetProductsListData() {
         $objQuery = SC_Query_Ex::getSingletonInstance();
         //商品一覧を取得
@@ -205,6 +198,5 @@
      * @return array $arrProduct 商品情報の配列を返す
      */
-    function lfGetProductsAllData()
-    {
+    function lfGetProductsAllData() {
         $objQuery = SC_Query_Ex::getSingletonInstance();
         //商品情報を取得
@@ -251,6 +243,5 @@
      * @return array $arrProduct 取得結果を配列で返す
      */
-    function lfGetProductsDetail(&$objQuery, $product_id = 'all')
-    {
+    function lfGetProductsDetail(&$objQuery, $product_id = 'all') {
         $objProduct = new SC_Product_Ex();
 
@@ -293,6 +284,5 @@
      * @return array $arrProduct 取得結果を配列で返す
      */
-    function lfGetProductsAllclass(&$objQuery)
-    {
+    function lfGetProductsAllclass(&$objQuery) {
         // --- 商品一覧の取得
         $objQuery->setWhere('del_flg = 0 AND status = 1');
Index: /branches/version-2_12-dev/data/class/pages/LC_Page_Index.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/LC_Page_Index.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/LC_Page_Index.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Index extends LC_Page_Ex 
-{
+class LC_Page_Index extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -65,6 +62,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
         $this->tpl_title = '';
         $objCustomer = new SC_Customer_Ex();
@@ -77,6 +73,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/api/LC_Page_Api.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/api/LC_Page_Api.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/api/LC_Page_Api.php	(revision 22796)
@@ -33,6 +33,5 @@
  * @version $Id$
  */
-class LC_Page_Api extends LC_Page_Ex 
-{
+class LC_Page_Api extends LC_Page_Ex {
 
     // }}}
@@ -44,6 +43,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -54,6 +52,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
 //        $this->sendResponse();
@@ -65,6 +62,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
         $arrParam = $_REQUEST;
 
@@ -79,6 +75,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/api/LC_Page_Api_Xml.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/api/LC_Page_Api_Xml.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/api/LC_Page_Api_Xml.php	(revision 22796)
@@ -33,6 +33,5 @@
  * @version $Id$
  */
-class LC_Page_Api_Xml extends LC_Page_Ex 
-{
+class LC_Page_Api_Xml extends LC_Page_Ex {
 
     // }}}
@@ -44,6 +43,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -54,6 +52,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
 //        $this->sendResponse();
@@ -65,6 +62,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
         $arrParam = $_REQUEST;
 
@@ -79,6 +75,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/api/LC_Page_Api_Php.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/api/LC_Page_Api_Php.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/api/LC_Page_Api_Php.php	(revision 22796)
@@ -33,6 +33,5 @@
  * @version $Id$
  */
-class LC_Page_Api_Php extends LC_Page_Ex 
-{
+class LC_Page_Api_Php extends LC_Page_Ex {
 
     // }}}
@@ -44,6 +43,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -54,6 +52,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
 //        $this->sendResponse();
@@ -65,6 +62,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
         $arrParam = $_REQUEST;
 
@@ -79,6 +75,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/api/LC_Page_Api_Json.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/api/LC_Page_Api_Json.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/api/LC_Page_Api_Json.php	(revision 22796)
@@ -33,6 +33,5 @@
  * @version $Id$
  */
-class LC_Page_Api_Json extends LC_Page_Ex 
-{
+class LC_Page_Api_Json extends LC_Page_Ex {
 
     // }}}
@@ -44,6 +43,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -54,6 +52,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
 //        $this->sendResponse();
@@ -65,6 +62,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
         $arrParam = $_REQUEST;
 
@@ -79,6 +75,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/order/LC_Page_Order.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/order/LC_Page_Order.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/order/LC_Page_Order.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Order extends LC_Page_Ex 
-{
+class LC_Page_Order extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_page_category = 'order';
@@ -57,6 +55,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -69,6 +66,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objDb = new SC_Helper_DB_Ex();
@@ -83,6 +79,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/graph/SC_Graph_Bar.php
===================================================================
--- /branches/version-2_12-dev/data/class/graph/SC_Graph_Bar.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/graph/SC_Graph_Bar.php	(revision 22796)
@@ -23,6 +23,5 @@
 
 // 棒グラフ生成クラス
-class SC_Graph_Bar extends SC_Graph_Line_Ex
-{
+class SC_Graph_Bar extends SC_Graph_Line_Ex{
     // コンストラクタ
     function __construct(
@@ -33,6 +32,5 @@
 
     // グラフの描画
-    function drawGraph()
-    {
+    function drawGraph() {
         $this->drawYLine();
         $this->drawXLine(true);
@@ -53,6 +51,5 @@
 
     // 棒グラフの描画
-    function drawBar($line_no)
-    {
+    function drawBar($line_no) {
         $arrPointList = $this->arrPointList[$line_no];
         // データ数を数える
@@ -83,6 +80,5 @@
 
     // ラベルを描画する
-    function drawLabel($line_no)
-    {
+    function drawLabel($line_no) {
         $arrData = $this->arrDataList[$line_no];
         $arrPointList = $this->arrPointList[$line_no];
Index: /branches/version-2_12-dev/data/class/graph/SC_Graph_Line.php
===================================================================
--- /branches/version-2_12-dev/data/class/graph/SC_Graph_Line.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/graph/SC_Graph_Line.php	(revision 22796)
@@ -23,6 +23,5 @@
 
 // 折れ線グラフ生成クラス
-class SC_Graph_Line extends SC_Graph_Base_Ex
-{
+class SC_Graph_Line extends SC_Graph_Base_Ex{
     var $area_width;
     var $area_height;
@@ -56,12 +55,10 @@
 
     // X軸ラベルの角度セット
-    function setXLabelAngle($Angle)
-    {
+    function setXLabelAngle($Angle) {
         $this->XLabelAngle = $Angle;
     }
 
     // Y軸タイトル
-    function drawYTitle()
-    {
+    function drawYTitle() {
         // Y軸にタイトルを入れる
         if ($this->YTitle != '') {
@@ -74,6 +71,5 @@
 
     // X軸タイトル
-    function drawXTitle()
-    {
+    function drawXTitle() {
         // Y軸にタイトルを入れる
         if ($this->XTitle != '') {
@@ -86,6 +82,5 @@
 
     // Y軸の描画
-    function drawYLine()
-    {
+    function drawYLine() {
         imageline($this->image, $this->left, $this->top, $this->left, $this->top + $this->area_height, $this->flame_color);
         // 目盛り幅を求める(中間点は自動)
@@ -112,6 +107,5 @@
 
     // X軸の描画
-    function drawXLine($bar = false)
-    {
+    function drawXLine($bar = false) {
         imageline($this->image, $this->left, $this->top + $this->area_height, $this->left + $this->area_width, $this->top + $this->area_height, $this->flame_color);
         $arrPointList = $this->arrPointList[0];
@@ -156,12 +150,10 @@
 
     // グリッド表示
-    function setYGridOn($ygrid_on)
-    {
+    function setYGridOn($ygrid_on) {
         $this->ygrid_on = $ygrid_on;
     }
 
     // ポイントの描画
-    function setMark($line_no, $left, $top, $size = LINE_MARK_SIZE)
-    {
+    function setMark($line_no, $left, $top, $size = LINE_MARK_SIZE) {
         // 偶数に変換しておく
         $size += $size % 2;
@@ -178,6 +170,5 @@
 
     // Y軸目盛りに値を入れる
-    function setYScale()
-    {
+    function setYScale() {
         // 1目盛りの値
         $number = intval($this->graph_max / LINE_Y_SCALE);
@@ -195,6 +186,5 @@
 
     //
-    function setMax($arrData)
-    {
+    function setMax($arrData) {
         // データの最大値を取得する。
         $data_max = max($arrData);
@@ -212,6 +202,5 @@
 
     // グラフの描画
-    function drawGraph()
-    {
+    function drawGraph() {
         // グラフ背景を描画
         $this->drawYLine();
@@ -238,6 +227,5 @@
 
     // ラインを描画する
-    function drawLine($line_no)
-    {
+    function drawLine($line_no) {
         $arrPointList = $this->arrPointList[$line_no];
 
@@ -255,6 +243,5 @@
 
     // マークを描画する
-    function drawMark($line_no)
-    {
+    function drawMark($line_no) {
         $arrPointList = $this->arrPointList[$line_no];
         $count = count($arrPointList);
@@ -267,6 +254,5 @@
 
     // ラベルを描画する
-    function drawLabel($line_no)
-    {
+    function drawLabel($line_no) {
         $arrData = $this->arrDataList[$line_no];
         $arrPointList = $this->arrPointList[$line_no];
@@ -283,6 +269,5 @@
 
     // データをセットする
-    function setData($arrData)
-    {
+    function setData($arrData) {
         $this->arrDataList[$this->line_max] = array_values((array)$arrData);
         $this->setMax($this->arrDataList[$this->line_max]);
@@ -305,18 +290,15 @@
 
     // X軸ラベルをセットする
-    function setXLabel($arrXLabel)
-    {
+    function setXLabel($arrXLabel) {
         $this->arrXLabel = array_values((array)$arrXLabel);
     }
 
     // X軸タイトルをセットする
-    function setXTitle($title)
-    {
+    function setXTitle($title) {
         $this->XTitle = $title;
     }
 
     // Y軸タイトルをセットする
-    function setYTitle($title)
-    {
+    function setYTitle($title) {
         $this->YTitle = $title;
     }
Index: /branches/version-2_12-dev/data/class/graph/SC_Graph_Base.php
===================================================================
--- /branches/version-2_12-dev/data/class/graph/SC_Graph_Base.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/graph/SC_Graph_Base.php	(revision 22796)
@@ -131,6 +131,5 @@
  * @version $Id$
  */
-class SC_Graph_Base 
-{
+class SC_Graph_Base {
 
     // {{{ properties
@@ -183,6 +182,5 @@
 
     // コンストラクタ
-    function __construct($bgw, $bgh, $left, $top)
-    {
+    function __construct($bgw, $bgh, $left, $top) {
         $this->init();
         // 画像作成
@@ -213,6 +211,5 @@
 
     // リサンプル(画像を滑らかに縮小する)
-    function resampled()
-    {
+    function resampled() {
         $new_width = $this->bgw * 0.8;
         $new_height = $this->bgh * 0.8;
@@ -224,6 +221,5 @@
 
     // オブジェクトカラーの設定
-    function setColorList($arrRGB)
-    {
+    function setColorList($arrRGB) {
         $this->arrRGB = $arrRGB;
         $count = count($this->arrRGB);
@@ -239,12 +235,10 @@
 
     // 影のありなし
-    function setShadeOn($shade_on)
-    {
+    function setShadeOn($shade_on) {
         $this->shade_on = $shade_on;
     }
 
     // 画像を出力する
-    function outputGraph($header = true, $filename = '')
-    {
+    function outputGraph($header = true, $filename = '') {
         if ($header) {
             header('Content-type: image/png');
@@ -261,6 +255,5 @@
 
     // 描画時のテキスト幅を求める
-    function getTextWidth($text, $font_size)
-    {
+    function getTextWidth($text, $font_size) {
         $text_len = strlen($text);
         $ret = $font_size * $text_len * TEXT_RATE;
@@ -275,6 +268,5 @@
 
     // テキストを出力する
-    function setText($font_size, $left, $top, $text, $color = NULL, $angle = 0, $labelbg = false)
-    {
+    function setText($font_size, $left, $top, $text, $color = NULL, $angle = 0, $labelbg = false) {
         // 時計回りに角度を変更
         $angle = -$angle;
@@ -308,6 +300,5 @@
 
     // タイトルを出力する
-    function drawTitle($text, $font_size = TITLE_FONT_SIZE)
-    {
+    function drawTitle($text, $font_size = TITLE_FONT_SIZE) {
         // 出力位置の算出
         $text_width = $this->getTextWidth($text, $font_size);
@@ -318,6 +309,5 @@
 
     // ログを出力する
-    function debugPrint($text)
-    {
+    function debugPrint($text) {
         $text = mb_convert_encoding($text, 'UTF-8', CHAR_CODE);
         if (!isset($this->text_top)) {
@@ -330,6 +320,5 @@
 
     // カラーラベルを描画
-    function drawLegend($legend_max = '', $clabelbg = true)
-    {
+    function drawLegend($legend_max = '', $clabelbg = true) {
         // 凡例が登録されていなければ中止
         if (count($this->arrLegend) <= 0) {
@@ -380,6 +369,5 @@
 
     // カラーラベル背景の描画
-    function drawClabelBG($left, $top, $right, $bottom)
-    {
+    function drawClabelBG($left, $top, $right, $bottom) {
         // 影の描画
         if ($this->shade_on) {
@@ -392,6 +380,5 @@
 
     // 凡例をセットする
-    function setLegend($arrLegend)
-    {
+    function setLegend($arrLegend) {
         $this->arrLegend = array_values((array)$arrLegend);
     }
@@ -408,6 +395,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         // 凡例背景
         $this->ARR_LEGENDBG_COLOR = array(245,245,245);
@@ -451,6 +437,5 @@
      * @return array 円の中心点と直径から弧の終端座標の配列
      */
-    function lfGetArcPos($cx, $cy, $cw, $ch, $e)
-    {
+    function lfGetArcPos($cx, $cy, $cw, $ch, $e) {
         // 三角関数用の角度を求める
         $s = 90 - $e;
@@ -463,6 +448,5 @@
 
     /** 画像にテキストを描画する */
-    function lfImageText($dst_image, $text, $font_size, $left, $top, $font, $arrRGB)
-    {
+    function lfImageText($dst_image, $text, $font_size, $left, $top, $font, $arrRGB) {
         $color = ImageColorAllocate($dst_image, $arrRGB[0], $arrRGB[1], $arrRGB[2]);
         $text = mb_convert_encoding($text, 'UTF-8', CHAR_CODE);
@@ -474,6 +458,5 @@
 
     /** 表示色の取得 */
-    function lfGetImageColor($image, $array)
-    {
+    function lfGetImageColor($image, $array) {
         if (count($array) != 3) {
             return NULL;
@@ -484,6 +467,5 @@
 
     /** 影用表示色の取得 */
-    function lfGetImageDarkColor($image, $array)
-    {
+    function lfGetImageDarkColor($image, $array) {
         if (count($array) != 3) {
             return NULL;
Index: /branches/version-2_12-dev/data/class/graph/SC_Graph_Pie.php
===================================================================
--- /branches/version-2_12-dev/data/class/graph/SC_Graph_Pie.php	(revision 22585)
+++ /branches/version-2_12-dev/data/class/graph/SC_Graph_Pie.php	(revision 22796)
@@ -23,6 +23,5 @@
 
 // 円グラフ生成クラス
-class SC_Graph_Pie extends SC_Graph_Base_Ex
-{
+class SC_Graph_Pie extends SC_Graph_Base_Ex{
     var $cw;
     var $ch;
@@ -34,6 +33,5 @@
 
     // コンストラクタ
-    function __construct($bgw = BG_WIDTH, $bgh = BG_HEIGHT, $left = PIE_LEFT, $top = PIE_TOP)
-    {
+    function __construct($bgw = BG_WIDTH, $bgh = BG_HEIGHT, $left = PIE_LEFT, $top = PIE_TOP) {
         parent::__construct($bgw, $bgh, $left, $top);
         // サイズ設定
@@ -44,6 +42,5 @@
 
     // データを360°値に変換する
-    function getCircleData($array)
-    {
+    function getCircleData($array) {
         $total = '';
         $new_total = '';
@@ -76,6 +73,5 @@
 
     // 円の位置設定を行う
-    function setPosition($cx, $cy)
-    {
+    function setPosition($cx, $cy) {
         $this->cx = $cx;
         $this->cy = $cy;
@@ -83,6 +79,5 @@
 
     // 円のサイズ設定を行う
-    function setSize($cw, $ch, $cz = 0)
-    {
+    function setSize($cw, $ch, $cz = 0) {
         $this->cw = $cw;
         $this->ch = $ch;
@@ -91,6 +86,5 @@
 
     // 影の描画
-    function drawShade()
-    {
+    function drawShade() {
         $move = 1;
         for ($i = ($this->cy + $this->cz); $i <= ($this->cy + $this->cz + ($this->cz * PIE_SHADE_IMPACT)); $i++) {
@@ -101,12 +95,10 @@
 
     // データをセットする
-    function setData($arrData)
-    {
+    function setData($arrData) {
         $this->arrData = array_values($arrData);
     }
 
     // 円グラフを描画する
-    function drawGraph()
-    {
+    function drawGraph() {
         $x = $this->cx;
         $y = $this->cy;
@@ -117,7 +109,8 @@
         // データの角度を取得する
         $arrRad = $this->getCircleData($this->arrData);
+        $rd_max = count($arrRad);
 
         // データが存在しない場合
-        if (empty($arrRad)) {
+        if ($rd_max <= 0) {
             return;
         }
@@ -135,8 +128,8 @@
         for ($i = ($y + $z - 1); $i >= $y; $i--) {
             $start = 0;
-            foreach ($arrRad as $rad) {
+            for ($j = 0; $j < $rd_max; $j++) {
                 // 角度が0度以上の場合のみ側面を描画する。
-                if ($rad > 0) {
-                    $end = $start + $rad;
+                if ($arrRad[$j] > 0) {
+                    $end = $start + $arrRad[$j];
                     if ($start == 0 && $end == 360) {
                         // -90~270で指定すると円が描画できないので0~360に指定
@@ -155,17 +148,25 @@
         // 上面の描画
         $start = 0;
-        foreach ($arrRad as $key => $rad) {
-            $end = $start + $rad;
-            // 開始・終了が同一値だと、(imagefilledarc 関数における) 0°から360°として動作するようなので、スキップする。
-            // XXX 値ラベルは別ロジックなので、実質問題を生じないと考えている。
-            if ($start == $end) {
-                continue 1;
-            }
-            // -90°は12時の位置から開始するように補正するもの。
-            // 塗りつぶし
-            imagefilledarc($this->image, $x, $y, $w, $h, $start - 90, $end - 90, $this->arrColor[($key % $c_max)], $style);
-            // FIXME 360°描画の場合、(imagefilledarc 関数における) 0°から360°として動作する。本来-90°から360°として動作すべき。
-            //       なお、360°と0°の組み合わせを考慮すると線が無いのも問題があるので、この処理をスキップする対応は不適当である。
-            // 縁取り線
+        for ($i = 0; $i < $rd_max; $i++) {
+            $end = $start + $arrRad[$i];
+            if ($start == 0 && $end == 360) {
+                // -90~270で指定すると円が描画できないので0~360に指定
+                imagefilledarc($this->image, $x, $y, $w, $h, 0, 360, $this->arrColor[($i % $c_max)], IMG_ARC_PIE);
+            } else {
+                // -90°は12時の位置から開始するように補正している。
+                imagefilledarc($this->image, $x, $y, $w, $h, $start - 90, $end - 90, $this->arrColor[($i % $c_max)], IMG_ARC_PIE);
+            }
+            $start = $end;
+        }
+
+        // 上面の縁取り
+        $start = 0;
+        for ($i = 0; $i < $rd_max; $i++) {
+            $end = $start + $arrRad[$i];
+            if ($start == 0 && $end == 360) {
+                // -90~270で指定すると円が描画できないので0~360に指定
+                imagearc($this->image, $x, $y, $w, $h, 0, 360 , $this->flame_color);
+            }
+            // -90°は12時の位置から開始するように補正している。
             imagefilledarc($this->image, $x, $y, $w, $h, $start - 90, $end - 90, $this->flame_color, IMG_ARC_EDGED|IMG_ARC_NOFILL);
             $start = $end;
@@ -176,6 +177,6 @@
         imageline($this->image, $x - ($w / 2), $y, $x - ($w / 2), $y + $z, $this->flame_color);
         $start = 0;
-        foreach ($arrRad as $rad) {
-            $end = $start + $rad;
+        for ($i = 0; $i < $rd_max; $i++) {
+            $end = $start + $arrRad[$i];
             // 前面のみ
             if ($end > 90 && $end < 270) {
@@ -197,15 +198,15 @@
 
     // 円グラフのラベルを描画する
-    function drawLabel($arrRad)
-    {
-        $start = 0;
-        foreach ($arrRad as $key => $rad) {
-            $center = $start + ($rad / 2);
-            $end = $start + $rad;
+    function drawLabel($arrRad) {
+        $rd_max = count($arrRad);
+        $start = 0;
+        for ($i = 0; $i < $rd_max; $i++) {
+            $center = $start + ($arrRad[$i] / 2);
+            $end = $start + $arrRad[$i];
             list($sx, $sy) = $this->lfGetArcPos($this->cx, $this->cy, ($this->cw / 1.5), ($this->ch / 1.5), $center);
             list($ex, $ey) = $this->lfGetArcPos($this->cx, $this->cy, ($this->cw * 1.5), ($this->ch * 1.5), $center);
             // 指示線の描画
             imageline($this->image, $sx, $sy, $ex + 2, $ey - PIE_LABEL_UP, $this->flame_color);
-            $this->setText(FONT_SIZE, $ex - 10, $ey - PIE_LABEL_UP - FONT_SIZE, $this->arrLabel[$key], NULL, 0, true);
+            $this->setText(FONT_SIZE, $ex - 10, $ey - PIE_LABEL_UP - FONT_SIZE, $this->arrLabel[$i], NULL, 0, true);
             $start = $end;
         }
Index: /branches/version-2_12-dev/data/class/SC_Initial.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Initial.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_Initial.php	(revision 22796)
@@ -28,6 +28,5 @@
  * @version $Id$
  */
-class SC_Initial 
-{
+class SC_Initial {
 
     // {{{ cunstructor
@@ -36,6 +35,5 @@
      * コンストラクタ.
      */
-    function __construct()
-    {
+    function __construct() {
 
         /** EC-CUBEのバージョン */
@@ -52,6 +50,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         $this->requireInitialConfig();
         $this->defineDSN();                 // requireInitialConfig メソッドより後で実行
@@ -73,6 +70,5 @@
      * @return void
      */
-    function requireInitialConfig()
-    {
+    function requireInitialConfig() {
 
         define('CONFIG_REALFILE', realpath(dirname(__FILE__)) . '/../config/config.php');
@@ -89,6 +85,5 @@
      * @deprecated 下位互換用
      */
-    function defineDSN()
-    {
+    function defineDSN() {
         if (defined('DB_TYPE') && defined('DB_USER') && defined('DB_PASSWORD')
             && defined('DB_SERVER') && defined('DB_PORT') && defined('DB_NAME')
@@ -104,6 +99,5 @@
      * @deprecated
      */
-    function setErrorReporting()
-    {
+    function setErrorReporting() {
         error_reporting(E_ALL & ~E_NOTICE);
         // PHP 5.3.0対応
@@ -121,6 +115,5 @@
      * @return void
      */
-    function phpconfigInit()
-    {
+    function phpconfigInit() {
         ini_set('html_errors', '1');
         ini_set('mbstring.http_input', CHAR_CODE);
@@ -157,6 +150,5 @@
      * @return void
      */
-    function defineDirectoryIndex()
-    {
+    function defineDirectoryIndex() {
 
         // DirectoryIndex の実ファイル名
@@ -189,6 +181,5 @@
      * @return void
      */
-    function defineParameter()
-    {
+    function defineParameter() {
 
         $errorMessage
@@ -233,6 +224,5 @@
      * @return void
      */
-    function complementParameter()
-    {
+    function complementParameter() {
     }
 
@@ -245,6 +235,5 @@
      * @return void
      */
-    function createCacheDir()
-    {
+    function createCacheDir() {
         if (defined('HTML_REALDIR')) {
             umask(0);
@@ -273,6 +262,5 @@
      * @return void
      */
-    function defineConstants()
-    {
+    function defineConstants() {
         // LC_Page_Error用
         /** 指定商品ページがない */
@@ -441,6 +429,5 @@
      * @return void
      */
-    function stripslashesDeepGpc()
-    {
+    function stripslashesDeepGpc() {
         // Strip magic quotes from request data.
         if (get_magic_quotes_gpc()
@@ -472,6 +459,5 @@
      * @return void
      */
-    function resetSuperglobalsRequest()
-    {
+    function resetSuperglobalsRequest() {
         $_REQUEST = array_merge($_GET, $_POST);
     }
@@ -484,6 +470,5 @@
      * @return void
      */
-    function defineIfNotDefined($name, $value = null)
-    {
+    function defineIfNotDefined($name, $value = null) {
         if (!defined($name)) {
             define($name, $value);
@@ -496,6 +481,5 @@
      * @return void
      */
-    function setTimezone()
-    {
+    function setTimezone() {
         date_default_timezone_set('Asia/Tokyo');
     }
